$NetBSD$

--- include/my_thread_os_id.h.orig	2020-06-19 23:10:54.000000000 +0000
+++ include/my_thread_os_id.h
@@ -44,6 +44,10 @@
 #include <pthread.h>
 #endif /* HAVE_PTHREAD_THREADID_NP */
 
+#ifdef __NetBSD__
+#include <lwp.h>
+#endif /* __NetBSD__ */
+
 typedef unsigned long long my_thread_os_id_t;
 
 /**
@@ -83,6 +87,9 @@ static inline my_thread_os_id_t my_threa
   /* FreeBSD 10.2 */
   return pthread_getthreadid_np();
 #else
+#ifdef __NetBSD__
+  return (int)_lwp_self();
+#else
 #ifdef HAVE_INTEGER_PTHREAD_SELF
   /* Unknown platform, fallback. */
   return pthread_self();
@@ -90,6 +97,7 @@ static inline my_thread_os_id_t my_threa
   /* Feature not available. */
   return 0;
 #endif /* HAVE_INTEGER_PTHREAD_SELF */
+#endif /* __NetBSD__ */
 #endif /* HAVE_PTHREAD_GETTHREADID_NP */
 #endif /* _WIN32 */
 #endif /* HAVE_SYS_GETTID */
