$NetBSD$

--- include/tables_contained_in.h.orig	2020-06-19 23:10:54.000000000 +0000
+++ include/tables_contained_in.h
@@ -26,6 +26,10 @@
 
 #include <string.h>
 
+#ifdef __NetBSD__
+#include <sys/bitops.h>
+#endif
+
 #include "my_inttypes.h"
 #include "sql/sql_optimizer.h"
 
@@ -65,6 +69,8 @@ class TablesContainedIn {
 #ifdef _MSC_VER
       unsigned long idx;
       _BitScanForward64(&idx, m_bits_left);
+#elif defined(__NetBSD__)
+      size_t idx = ffs64(m_bits_left) - 1;
 #else
       size_t idx = ffsll(m_bits_left) - 1;
 #endif
